mfsmaster(8)

NAME
mfsmaster - start, restart or stop Moose File System master process

SYNOPSIS
mfsmaster [-c CFGFILE] [-u] [-i] [-a] [-e] [-x[x]] [-t LOCKTIMEOUT] [ACTION]

mfsmaster -v

mfsmaster -h

DESCRIPTION

mfsmaster is the master program of Moose File System.

OPTIONS

-v  print version information and exit

-h  print usage information and exit

-c CFGFILE
    specify alternative path of configuration file (default is mfsmaster.cfg in system configuration directory)

-u  log undefined configuration values (when default is assumed)

-f  run in foreground, don't daemonize

-t LOCKTIMEOUT
    how long to wait for lockfile (in seconds; default is 1800 seconds)

-i  ignore some metadata structure errors (attach orphans to root, ignore names without inode, etc.). DO NOT use unless you are ready to pick up the pieces. See https://github.com/moosefs/moosefs/issues/151 for discussion.

-a  automatically restore metadata from change logs

-e  start without metadata (usable only in pro version - used to start additional masters)

-x  produce more verbose output

-xx even more verbose output

ACTION
    is the one of start, stop, restart, reload, test, restore or kill. Default action is restart. The test action will yield one of two responses: "mfsmaster pid: PID" or "mfsmaster is not running". The kill action will send a SIGKILL to the currently running master process. SIGHUP or reload action forces mfsmaster to reload all configuration files. restore tries to restore metadata file using backup metadata files and changelogs; if successful it will store recovered metadata file end stop, it will never start master process.

FILES

mfsmaster.cfg
    configuration file for MooseFS master process; refer to mfsmaster.cfg(5) manual for details

mfsexports.cfg
    MooseFS access control file; refer to mfsexports.cfg(5) manual for details

mfstopology.cfg
    Network topology definitions; refer to mfstopology.cfg(5) manual for details

.mfsmaster.lock
    lock file of running MooseFS master process (created in data directory)

metadata.mfs, metadata.mfs.back
    MooseFS filesystem metadata image (created in data directory)

changelog.*.mfs
    MooseFS filesystem metadata change logs (created in data directory; merged into metadata.mfs once per hour)

data.stats
    MooseFS master charts state (created in data directory)

REPORTING BUGS
Report bugs to <bugs@moosefs.com>.

COPYRIGHT
Copyright (C) 2023 Jakub Kruszona-Zawadzki, Saglabs SA This file is part of MooseFS. MooseFS is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2 (only). MooseFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with MooseFS; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02111-1301, USA or visit http://www.gnu.org/licenses/gpl-2.0.html

SEE ALSO
mfschunkserver(8), mfsmount(8), mfsmaster.cfg(5), mfsexports.cfg(5), mfstopology.cfg(5)